Bug 1125340 - [abrt] libreoffice-core: DocxAttributeOutput::EndTable()(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: DocxAttributeOutput::EndTable()(): soffice.bin kille...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0a11c4d897a301ed0be47a74a8d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 15:20 UTC by Jakub
Modified: 2014-08-07 21:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 21:16:23 UTC


Attachments (Terms of Use)
File: backtrace (52.76 KB, text/plain)
2014-07-31 15:20 UTC, Jakub
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-31 15:20 UTC, Jakub
no flags Details
File: core_backtrace (33.57 KB, text/plain)
2014-07-31 15:20 UTC, Jakub
no flags Details
File: dso_list (28.67 KB, text/plain)
2014-07-31 15:20 UTC, Jakub
no flags Details
File: environ (3.13 KB, text/plain)
2014-07-31 15:20 UTC, Jakub
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-31 15:21 UTC, Jakub
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-31 15:21 UTC, Jakub
no flags Details
File: maps (133.74 KB, text/plain)
2014-07-31 15:21 UTC, Jakub
no flags Details
File: open_fds (958 bytes, text/plain)
2014-07-31 15:21 UTC, Jakub
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-31 15:21 UTC, Jakub
no flags Details
File: var_log_messages (393 bytes, text/plain)
2014-07-31 15:21 UTC, Jakub
no flags Details
.odt causing crash (6.52 KB, application/vnd.oasis.opendocument.text)
2014-08-01 16:36 UTC, Jakub
no flags Details

Description Jakub 2014-07-31 15:20:46 UTC
Description of problem:
SIGSEGV happened during save to .docx format from .odt - complex file with hyperlinks. Fault happened every time I tried to save file - it did not get created after all.

Version-Release number of selected component:
libreoffice-core-4.2.5.2-10.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///var/tmp/A1231-NBSW-Verify0.2.docx --splash-pipe=5
crash_function: DocxAttributeOutput::EndTable()
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 DocxAttributeOutput::EndTable() at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #1 DocxAttributeOutput::EndParagraph(boost::shared_ptr<ww8::WW8TableNodeInfoInner>) at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #2 MSWordExportBase::OutputTextNode(SwTxtNode const&) at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #3 MSWordExportBase::WriteText() at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #4 DocxExport::WriteMainText() at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #5 DocxExport::ExportDocument_Impl() at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #6 MSWordExportBase::ExportDocument(bool) at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #7 DocxExportFilter::exportDocument() at /usr/lib64/libreoffice/program/../program/libmswordlo.so
 #8 oox::core::FilterBase::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) at /usr/lib64/libreoffice/program/../program/libooxlo.so
 #9 WriterFilter::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so

Comment 1 Jakub 2014-07-31 15:20:51 UTC
Created attachment 922971 [details]
File: backtrace

Comment 2 Jakub 2014-07-31 15:20:52 UTC
Created attachment 922972 [details]
File: cgroup

Comment 3 Jakub 2014-07-31 15:20:54 UTC
Created attachment 922973 [details]
File: core_backtrace

Comment 4 Jakub 2014-07-31 15:20:56 UTC
Created attachment 922974 [details]
File: dso_list

Comment 5 Jakub 2014-07-31 15:20:58 UTC
Created attachment 922975 [details]
File: environ

Comment 6 Jakub 2014-07-31 15:21:00 UTC
Created attachment 922976 [details]
File: exploitable

Comment 7 Jakub 2014-07-31 15:21:01 UTC
Created attachment 922977 [details]
File: limits

Comment 8 Jakub 2014-07-31 15:21:04 UTC
Created attachment 922978 [details]
File: maps

Comment 9 Jakub 2014-07-31 15:21:06 UTC
Created attachment 922979 [details]
File: open_fds

Comment 10 Jakub 2014-07-31 15:21:08 UTC
Created attachment 922980 [details]
File: proc_pid_status

Comment 11 Jakub 2014-07-31 15:21:09 UTC
Created attachment 922981 [details]
File: var_log_messages

Comment 12 David Tardon 2014-08-01 12:16:14 UTC
Could you attach the document here?

Comment 13 Jakub 2014-08-01 16:36:29 UTC
Created attachment 923357 [details]
.odt causing crash

Stripped file from everything that didn't cause crash and it turns out complexity wasn't a problem.

Provided file crashes LibreOffice on F20 when it's being saved as .docx file.

Comment 14 Michael Stahl 2014-08-07 21:16:23 UTC
it looks like this was fixed by upstream master commit
89a3acbdb590c3552a3184137ba0aad7f97f1549
for release 4.3.0

unfortunately there were so many changes to this part of the
DOCX export that it's really difficult to backport this commit
to the 4.2 release branch.... please wait for 4.3 / Fedora 21.


Note You need to log in before you can comment on or make changes to this bug.